Skip to content
Start here

Delete Queue Consumer

client.Queues.Consumers.Delete(ctx, queueID, consumerID, body) (*ConsumerDeleteResponse, error)
DELETE/accounts/{account_id}/queues/{queue_id}/consumers/{consumer_id}

Deletes the consumer for a queue.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Queues WriteWorkers Scripts Write
ParametersExpand Collapse
queueID string

A Resource identifier.

maxLength32
consumerID string

A Resource identifier.

maxLength32
body ConsumerDeleteParams
AccountID param.Field[string]

A Resource identifier.

maxLength32
ReturnsExpand Collapse
type ConsumerDeleteResponse struct{…}
Errors []ResponseInfooptional
minLength1
Code int64
minimum1000
Message string
DocumentationURL stringoptional
Source ResponseInfoSourceoptional
Pointer stringoptional
Messages []stringoptional
Success ConsumerDeleteResponseSuccessoptional

Indicates if the API call was successful or not.

Delete Queue Consumer

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/queues"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  consumer, err := client.Queues.Consumers.Delete(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    "023e105f4ecef8ad9ca31a8372d0c353",
    queues.ConsumerDeleteParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", consumer.Errors)
}
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "success": true
}